function retval = G(w)
  global K1 K2 P Gval
  x = w(1);
  y = w(2);
  z = 0.5 - x - y;
  p = 0.5 + z;
  if (x == 0)
    xlogx = 0;
  else
    xlogx = abs(x)*log(abs(x/p));
  end
  if (y == 0)
    ylogy = 0;
  else
    ylogy = abs(y)*log(abs(y/p));
  end
  if (z == 0)
    zlogz = 0;
  else
    zlogz = abs(z)*log(abs(z/p));
  end
  retval = -Gval -(x*log(K1) + y*log(K2)) + p*log(P) + ...
     2*zlogz + xlogx + ylogy;