% Copyright (C) 2001, James B. Rawlings and John G. Ekerdt
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2, or (at
% your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; see the file COPYING.  If not, write to
% the Free Software Foundation, 59 Temple Place - Suite 330, Boston,
% MA 02111-1307, USA.


k1 = 1;
k_1 = 0.5;
npts  = 100;
x = linspace(0,5,npts)';
y = [ exp(-(k1+k_1)*x)+k_1/(k1+k_1)*(1 - exp(-(k1+k_1)*x)), ...
     1 - (exp(-(k1+k_1)*x) + k_1/(k1+k_1)*(1 - exp(-(k1+k_1)*x))), ...
     ones(npts,1)/3, 2*ones(npts,1)/3];

table = [x, y];

save -ascii kca_rev.dat table;

if (~ strcmp (getenv ('OMIT_PLOTS'), 'true')) % PLOTTING
plot (x, y)
% TITLE
end % PLOTTING
