function dNdv = rate_s(v,x)
  global k kp P R1 T

  N1 = x(1);
  N6 = x(2);
  N7 = x(3);
  N8 = x(4);

  Ntot = N1 +  N6 + N7 + N8;
  Ctot = P/(R1*T);
  C1 = (N1/Ntot)*Ctot;
  r = k(3)*kp*C1;

  dNdv = zeros (4, 1);

  dNdv(1) = -r;
  dNdv(2) = r;
  dNdv(3) = r;
  dNdv(4) = 0;