function rhs = pfr(t, x)
  global  E km Tm Gamma beta Rg Pf Nf Ta Ac Tf
  Nx = x(1);
  T  = x(2);
  Q  = Nf/(Pf/(Rg*T));
  cx = Nx/Q;
  k  = km*exp(-E*(1/T-1/Tm));
  rate = k*cx;
  rhs = [-rate*Ac; -beta*rate + Gamma*(Ta-T)];