function xdot=ivpjbr(t,x)

  global P R Rg Nn0 Nh0 Nnh0 A k0 E delH0 Tstd K0 deltaH UA tau
  Nnh = x(1);
  T   = x(2);
  Ta  = x(3);
  RT  = R*T;
  Nn=Nn0 - 1/2*(Nnh - Nnh0);
  Nh=Nh0 - 3/2*(Nnh - Nnh0);
  Nt = Nn + Nh + Nnh;
  pn = (Nn/Nt)*P;
  ph = (Nh/Nt)*P;
  pnh = (Nnh/Nt)*P;
  qadd = (Ta - T)*UA;
  k    = k0*exp(-E/T);
  K = K0*exp(-delH0/Rg*(1/T - 1/Tstd));
  rxrate  = k/RT* ( K^2 * pn*ph^(1.5)/pnh - pnh/ph^(1.5) );
  xdot = zeros (3, 1);
  xdot(1) = A * 2* rxrate;
% Van Heerden fudge factor; for comparison purposes only
%    xnh = Nnh/Nt;
%    taufix = - 2*tau*A*(1+xnh)/Nt;
%    xdot(2) = qadd - rxrate*taufix;
  xdot(2) = qadd - rxrate*deltaH;
  xdot(3) = qadd;
