function retval = eta_initial(c, p)
  phi_hat = p.phi_ini*p.I;

  ep = exp(p.gamma*p.beta*(1-c)./(1+p.beta*(1-c)));

  retval = p.A*c*2./p.R + p.B*c - phi_hat^2*c.*ep;
  retval(1) = p.A(1,:)*c;
  retval(end) = c(end) - p.cS;