function res = continode(t, y, ydot)
  global rout
  ce = y(1);
  c0 = y(2);
  %
  % solve pellet problem from c0
  %
  x0=[c0; 0; 1; 0];
  ode_opts = odeset('AbsTol',1e-5*c0, 'RelTol', sqrt (eps));
  [rsolver,xout] = ode15s(@pelletode, rout, x0, ode_opts);
  %
  res = zeros (2, 1);
  res(1) = ydot(1) + 1;
  res(2) = ydot(2) + 1/xout(length(rout),3);