function xdot = pbr (t,x)
  global P Rg T Ncof No2f NIf rhop rhob Dco k Kco a
  Nco = x(1);
  Nt  = No2f + (Nco+Ncof)/2 + NIf;
  cco = P/(Rg*T) * Nco/Nt;
  phi = Kco*cco;
  Phi = phi/(1+phi) * sqrt( k*a*a/( 2*Dco*(phi-log(1+phi)) )  );
  if (Phi <= 1.0)
    eta = 1.0;
  else
    eta = 1./Phi;
  end
  xdot = -rhob/rhop*eta*k*cco/(1+Kco*cco);