function dcdz = mm(z,c)
  global theta1 theta2 theta3 c0
  if (z == 0.)
    dcdz = 0;
  else
    t = (1-z)/z;
    if (t <= theta1+theta3)
      f = 0;
    else
      f = 1/theta2;
    end
    dcdz = - (f*(c-c0) + rxrate(c) )/(z*z);
  end