function res = tworeac (x)
  global k1 k2 theta1 theta2 caf cbf rho alpha n
  ca1 = x(1);
  cb1 = x(2);
  ca2 = x(3);
  cb2 = x(4);
  r11 = k1*ca1*cb1;
  r21 = k2*ca1^n;
  r12 = k1*ca2*cb2;
  r22 = k2*ca2^n;
  R = [ -(r11+r21)*theta1;
        -r11*theta1;
        -(r12+r22)*theta2;
        -r12*theta2];

  flow = [ alpha*caf-(alpha+rho)*ca1+rho*ca2;
           -(alpha+rho)*cb1+rho*cb2;
           -(1+alpha)*ca2+(alpha+rho)*ca1-rho*ca2;
           cbf+(alpha+rho)*cb1-rho*cb2-(1+alpha)*cb2 ];
  res = flow + R;