function res = pfrcol(x)
  global v D A B k1 k2 caf cbf ncolpt order
  %
  % express the diff eq at every collocation point
  %
  ca = x(1:ncolpt);
  cb = x(ncolpt+1:2*ncolpt);
  Rab  = [-k1*ca; k1*ca - 2*k2*cb.^2];
  first  = [A*ca;A*cb];
  second = [B*ca;B*cb];
  res = -v*first + D*second + Rab;
  % write over the first and last points with the
  % boundary conditions
  res(1) = v*ca(1)-D*first(1)-v*caf;
  res(ncolpt) = first(ncolpt);
  res(ncolpt+1)= v*cb(1)-D*first(ncolpt+1)-v*cbf;
  res(2*ncolpt) = first(2*ncolpt);