function dNdv = rate_q(v,x)
  global  k kp P R1 T

  N1 = x(1);
  N3 = x(2);
  N6 = x(3);
  N7 = x(4);
  N8 = x(5);

  Ntot = N1 + N3 + N6 + N7 + N8;
  Ctot = P/(R1*T);
  C1 = (N1/Ntot)*Ctot;
  C2 = (2*k(1))/k(2);
  C4 = kp*C1;
  C5 = k(1)/(k(5)*kp);

  r1 = k(1)*C1;
  r2 = 2*k(1)*C1;
  r3 = k(3)*kp*C1;
  r4 = k(4)*k(1)/(k(5)*kp)*C1;
  r5 = k(1)*C1;

  dNdv = zeros (5, 1);

%  dNdv(1) = -r1 - r2 - r4 + r5;
  dNdv(1) = - r2 - r4;
  dNdv(2) = r2;
  dNdv(3) = r3;
  dNdv(4) = r4;
  dNdV(5) = 0;