function res = pfrcol(x)
  global v D A B k caf ncolpt order
  %
  % express the diff eq at every collocation point
  %
  first = A*x;
  Ra = -2*k*(x.^order);
  second = B*x;
  res = -v*first + D*second + Ra;
  % write over the first and last points with the
  % boundary conditions
  res(1) = v*x(1)-D*first(1)-v*caf;
  res(ncolpt) = first(ncolpt);